%global enable_tests 1
%global srcname archiver-utils

%global commit0 f3badc8ad8fbac9a9d2dff964d5b77559a51718b
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global owner archiverjs

Name:           nodejs-%{srcname}
Version:        0.3.0
Release:        1%{?dist}
Summary:        Utility functions for nodejs-archiver
License:        MIT
URL:            https://github.com/%{owner}/%{srcname}
Source0:        https://github.com/%{owner}/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch

ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(chai)
BuildRequires:  npm(lazystream)
BuildRequires:  npm(lodash)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(mocha)
BuildRequires:  npm(normalize-path)
BuildRequires:  npm(readable-stream)
BuildRequires:  npm(rimraf)
%endif

%description
%{summary}.

%prep
%setup -qn %{srcname}-%{commit0}
rm -rf node_modules

%nodejs_fixdep lazystream 1.x

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter dot
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Sat Feb 27 2016 Piotr Popieluch <piotr1212@gmail.com> - 0.3.0-1
- Initial package
